Presentations
This endpoint sends a presentation to a user based on their profileId
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/presentation/send/{profileId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1569
{
"presentation": {
"@context": [
"text"
],
"id": "text",
"type": "text",
"verifiableCredential": {
"@context": [
"text"
],
"id": "text",
"type": [
"text"
],
"issuer": "text",
"credentialSubject": {
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"refreshService": {
"id": "text",
"type": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"credentialSchema": {
"id": "text",
"type": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"issuanceDate": "text",
"expirationDate": "text",
"credentialStatus": {
"type": "text",
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"name": "text",
"description": "text",
"validFrom": "text",
"validUntil": "text",
"status": {
"type": "text",
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"termsOfUse": {
"type": "text",
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"evidence": {
"id": "text",
"type": [
"text"
],
"name": "text",
"narrative": "text",
"description": "text",
"genre": "text",
"audience": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"renderMethod": {
"type": "text",
"renderSuite": "text",
"template": "text",
"renderProperty": [
"text"
],
"outputPreference": {
"mediaType": "text"
}
},
"proof": {
"type": "text",
"created": "text",
"challenge": "text",
"domain": "text",
"nonce": "text",
"proofPurpose": "text",
"verificationMethod": "text",
"jws": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"holder": "text",
"proof": {
"type": "text",
"created": "text",
"challenge": "text",
"domain": "text",
"nonce": "text",
"proofPurpose": "text",
"verificationMethod": "text",
"jws": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}textThis endpoint accepts a presentation
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/presentation/accept HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 14
{
"uri": "text"
}trueThis endpoint returns the current user's received presentations
25Successful response
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
GET /api/presentation/received HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"uri": "text",
"to": "text",
"from": "text",
"sent": "2026-01-01T00:00:00.000Z",
"received": "2026-01-01T00:00:00.000Z",
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
]This endpoint returns the current user's sent presentations
25Successful response
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
GET /api/presentation/sent HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"uri": "text",
"to": "text",
"from": "text",
"sent": "2026-01-01T00:00:00.000Z",
"received": "2026-01-01T00:00:00.000Z",
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
]This endpoint returns the current user's incoming presentations
25Successful response
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
GET /api/presentation/incoming HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"uri": "text",
"to": "text",
"from": "text",
"sent": "2026-01-01T00:00:00.000Z",
"received": "2026-01-01T00:00:00.000Z",
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
]This endpoint deletes a presentation
Successful response
Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
DELETE /api/presentation?uri=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
trueLast updated
Was this helpful?